/* 
 * comp.h    --  Definition of comp_t.
 *
 */

#ifndef _COMP_H_
#define _COMP_H_

typedef struct comp_ {
  int min_x;                    /* Kleinste vorkommende x-Koordinate */
  int min_y;                    /* Kleinste vorkommende y-Koordinate */
  int max_x;                    /* Grte vorkommende x-Koordinate */
  int max_y;                    /* Grte vorkommende y-Koordinate */
  int pixels;                   /* Anzahl der Bildpunkte in der Komponente */
  double bary_x;                /* Schwerpunkt, x-Koordinate */
  double bary_y;                /* Schwerpunkt, y-Koordinate */
} comp_t;


#endif /*_COMP_H_ */


