/*
 * image.h   --  Defines image_t and related things.
 *
 */

#ifndef _IMAGE_H_
#define _IMAGE_H_


typedef struct image_ {
  int size_x;                   /* Bildgre in x-Richtung */
  int size_y;                   /* Bildgre in y-Richtung */
  unsigned char *data;          /* Zeiger auf die Bilddaten */
} image_t;


typedef unsigned char pix_t;  /* Datatype for one pixel.  */


/* Pixel values  */
#define PIX_BLACK 0x00
#define PIX_WHITE 0xff
  


#endif /*_IMAGE_H_ */


